Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.zkforge.timeplot
Class Plotinfo

    java.lang.Object
      org.zkoss.zk.ui.AbstractComponent
          org.zkoss.zk.ui.HtmlBasedComponent
              org.zkforge.timeplot.impl.TimeplotComponent
                  org.zkforge.timeplot.Plotinfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.zkoss.zk.ui.Component, org.zkoss.zk.ui.sys.ComponentCtrl

    public class Plotinfo

extends TimeplotComponent

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.zkoss.zk.ui.HtmlBasedComponent
`org.zkoss.zk.ui.HtmlBasedComponent.ExtraCtrl`

Field Summary

Fields inherited from class org.zkoss.zk.ui.HtmlBasedComponent
`RS_NO_DISPLAY, RS_NO_HEIGHT, RS_NO_WIDTH`

Fields inherited from interface org.zkoss.zk.ui.Component
`APPLICATION_SCOPE, COMPONENT_SCOPE, DESKTOP_SCOPE, PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE, SPACE_SCOPE`

Constructor Summary
`Plotinfo()`

Method Summary
`void` | `addPlotData(PlotData pd)`
`void` | `addPlotEvent(org.zkforge.timeline.data.OccurEvent oe)`
`int` | `getBubbleHeight()`
`int` | `getBubbleWidth()`
`org.zkoss.zul.ListModel` | `getDataModel()`
`java.lang.String` | `getDotColor()`
`float` | `getDotRadius()`
`float` | `getEventLineWidth()`
`org.zkoss.zul.ListModel` | `getEventModel()`
`java.lang.String` | `getEventSourceUri()`
`java.lang.String` | `getFillColor()`
`java.lang.String` | `getInnerAttrs()`
`java.lang.String` | `getLineColor()`
`float` | `getLineWidth()`
`Operator` | `getOperator()`
`PlotDataSource` | `getPlotDataSource()`
`TimeGeometry` | `getTimeGeometry()`
`ValueGeometry` | `getValueGeometry()`
`int` | `getValuesOpacity()`
`void` | `invalidate()`
`boolean` | `isRoundValues()`
`boolean` | `isShowValues()`
`void` | `modifyPlotData(PlotData pd)`
`void` | `modifyPlotEvent(org.zkforge.timeline.data.OccurEvent oe)`
`protected void` | `onListDataChange(org.zkoss.zul.event.ListDataEvent event)`
`protected void` | `onListEventChange(org.zkoss.zul.event.ListDataEvent event)`
`void` | `removePlotData(PlotData pd)`
`void` | `removePlotEvent(org.zkforge.timeline.data.OccurEvent oe)`
`void` | `repaint()`
`void` | `setBubbleHeight(int bubbleHeight)`
`void` | `setBubbleWidth(int bubbleWidth)`
`void` | `setDataModel(org.zkoss.zul.ListModel dataModel)`
`void` | `setDotColor(java.lang.String dotColor)`
`void` | `setDotRadius(float dotRadius)`
`void` | `setEventLineWidth(float eventLineWidth)`
`void` | `setEventModel(org.zkoss.zul.ListModel eventModel)`
`void` | `setEventSourceUri(java.lang.String eventSourceUri)`
`void` | `setFillColor(java.lang.String fillColor)`
`void` | `setLineColor(java.lang.String lineColor)`
`void` | `setLineWidth(float lineWidth)`
`void` | `setOperator(Operator operator)`
`void` | `setParent(org.zkoss.zk.ui.Component parent)`
`void` | `setPlotDataSource(PlotDataSource pds)`
`void` | `setRoundValues(boolean roundValues)`
`void` | `setShowValues(boolean showValues)`
`void` | `setTimeGeometry(TimeGeometry timeGeometry)`
`void` | `setValueGeometry(ValueGeometry valueGeometry)`
`void` | `setValuesOpacity(int valuesOpacity)`

Methods inherited from class org.zkoss.zk.ui.HtmlBasedComponent
`focus, getDraggable, getDroppable, getHeight, getLeft, getOuterAttrs, getRealSclass, getRealStyle, getRealStyleFlags, getSclass, getStyle, getTooltiptext, getTop, getWidth, getZIndex, newExtraCtrl, setClass, setDraggable, setDroppable, setHeight, setLeft, setSclass, setStyle, setTooltiptext, setTop, setWidth, setZIndex`

Methods inherited from class org.zkoss.zk.ui.AbstractComponent
`addAnnotation, addAnnotation, addEventHandler, addEventListener, addForward, addForward, addMoved, addSharedAnnotationMap, addSharedEventHandlerMap, appendAsapAttr, appendChild, applyProperties, clone, containsVariable, detach, equals, getAnnotatedProperties, getAnnotatedPropertiesBy, getAnnotation, getAnnotation, getAnnotations, getAnnotations, getAttribute, getAttribute, getAttributes, getAttributes, getChildren, getDefinition, getDesktop, getEventHandler, getEventHandlerNames, getExtraCtrl, getFellow, getFellowIfAny, getFirstChild, getId, getLastChild, getListenerIterator, getMold, getMoldURI, getNamespace, getNextSibling, getPage, getParent, getPreviousSibling, getPropagatee, getRoot, getSpaceOwner, getUuid, getVariable, insertBefore, isAsapRequired, isChildable, isListenerAvailable, isVisible, onChildAdded, onChildRemoved, onDrawNewChild, onPageAttached, onPageDetached, onWrongValue, redraw, removeAttribute, removeAttribute, removeChild, removeEventListener, removeForward, removeForward, response, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setComponentDefinition, setId, setMold, setPage, setPageBefore, setVariable, setVisible, smartUpdate, smartUpdate, smartUpdate, smartUpdateDeferred, toString, unsetVariable`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Plotinfo

    public Plotinfo()

Method Detail

### getInnerAttrs

    public java.lang.String getInnerAttrs()

  Overrides:
    `getInnerAttrs` in class `org.zkoss.zk.ui.HtmlBasedComponent`

### getBubbleHeight

    public int getBubbleHeight()

### setBubbleHeight

    public void setBubbleHeight(int bubbleHeight)

### getBubbleWidth

    public int getBubbleWidth()

### setBubbleWidth

    public void setBubbleWidth(int bubbleWidth)

### getPlotDataSource

    public PlotDataSource getPlotDataSource()

### setPlotDataSource

    public void setPlotDataSource(PlotDataSource pds)

### getDotColor

    public java.lang.String getDotColor()

### setDotColor

    public void setDotColor(java.lang.String dotColor)

### getDotRadius

    public float getDotRadius()

### setDotRadius

    public void setDotRadius(float dotRadius)

### getEventLineWidth

    public float getEventLineWidth()

### setEventLineWidth

    public void setEventLineWidth(float eventLineWidth)

### getEventSourceUri

    public java.lang.String getEventSourceUri()

### setEventSourceUri

    public void setEventSourceUri(java.lang.String eventSourceUri)

### repaint

    public void repaint()

### getFillColor

    public java.lang.String getFillColor()

### setFillColor

    public void setFillColor(java.lang.String fillColor)

### getLineColor

    public java.lang.String getLineColor()

### setLineColor

    public void setLineColor(java.lang.String lineColor)

### getLineWidth

    public float getLineWidth()

### setLineWidth

    public void setLineWidth(float lineWidth)

### isRoundValues

    public boolean isRoundValues()

### setRoundValues

    public void setRoundValues(boolean roundValues)

### isShowValues

    public boolean isShowValues()

### setShowValues

    public void setShowValues(boolean showValues)

### getValuesOpacity

    public int getValuesOpacity()

### setValuesOpacity

    public void setValuesOpacity(int valuesOpacity)

### addPlotEvent

    public void addPlotEvent(org.zkforge.timeline.data.OccurEvent oe)

### modifyPlotEvent

    public void modifyPlotEvent(org.zkforge.timeline.data.OccurEvent oe)

### removePlotEvent

    public void removePlotEvent(org.zkforge.timeline.data.OccurEvent oe)

### addPlotData

    public void addPlotData(PlotData pd)

### modifyPlotData

    public void modifyPlotData(PlotData pd)

### removePlotData

    public void removePlotData(PlotData pd)

### getDataModel

    public org.zkoss.zul.ListModel getDataModel()

### setDataModel

    public void setDataModel(org.zkoss.zul.ListModel dataModel)

### onListDataChange

    protected void onListDataChange(org.zkoss.zul.event.ListDataEvent event)

### getEventModel

    public org.zkoss.zul.ListModel getEventModel()

### setEventModel

    public void setEventModel(org.zkoss.zul.ListModel eventModel)

### onListEventChange

    protected void onListEventChange(org.zkoss.zul.event.ListDataEvent event)

### getTimeGeometry

    public TimeGeometry getTimeGeometry()

### setTimeGeometry

    public void setTimeGeometry(TimeGeometry timeGeometry)

### getValueGeometry

    public ValueGeometry getValueGeometry()

### setValueGeometry

    public void setValueGeometry(ValueGeometry valueGeometry)

### getOperator

    public Operator getOperator()

  Returns:
    the operator

### setOperator

    public void setOperator(Operator operator)

  Parameters:
    `operator` - the operator to set

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `org.zkoss.zk.ui.Component`
  Overrides:
    `invalidate` in class `org.zkoss.zk.ui.AbstractComponent`

### setParent

    public void setParent(org.zkoss.zk.ui.Component parent)

  Specified by:
    `setParent` in interface `org.zkoss.zk.ui.Component`
  Overrides:
    `setParent` in class `org.zkoss.zk.ui.AbstractComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Potix Corporation. All Rights Reserved.